GetDeploymentConfigurationJob
Returns the details of a deployment configuration job. Only the seller that started the job can call this operation.
If the job doesn't belong to the product and delivery option in the request path, the operation returns a ResourceNotFoundException.
Request Syntax
GET /catalogs/catalog/products/productId/delivery-options/deliveryOptionType/deployment-configuration/jobs/jobId HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- catalog
-
The catalog related to the request. Fixed value:
AWSMarketplaceLength Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
[a-zA-Z_-]+Required: Yes
- deliveryOptionType
-
The delivery option type of the deployment configuration.
Valid Values:
data-as-a-serviceRequired: Yes
- jobId
-
The unique identifier of the deployment configuration job.
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
[a-z0-9]+Required: Yes
- productId
-
The ID of the AWS Marketplace product, for example
prod-1234567890abc.Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
[A-Za-z0-9_/-]+Required: Yes
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"configuration": { ... },
"configurationArn": "string",
"createdAt": "string",
"endedAt": "string",
"errorCode": "string",
"jobId": "string",
"message": "string",
"status": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- configuration
-
The deployment configuration submitted with the job.
Type: DeploymentConfigurationDetail object
Note: This object is a Union. Only one member of this object can be specified or returned.
- createdAt
-
The date and time when the job was created.
Type: Timestamp
- jobId
-
The unique identifier of the deployment configuration job.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
[a-z0-9]+ - status
-
The status of the deployment configuration job.
Type: String
Valid Values:
IN_PROGRESS | SUCCEEDED | FAILED - configurationArn
-
The Amazon Resource Name (ARN) of the deployment configuration. This field is present only when the job status is
SUCCEEDED.Type: String
Length Constraints: Minimum length of 1. Maximum length of 2048.
Pattern:
[a-zA-Z0-9:*/-]+ - endedAt
-
The date and time when the job reached the
SUCCEEDEDorFAILEDstatus.Type: Timestamp
- errorCode
-
The error code that describes why the job failed. This field is present only when the job status is
FAILED.Type: String
Valid Values:
FULFILLMENT_URL_UNREACHABLE | INTERNAL_ERROR | ENDPOINT_INVALID - message
-
A message that describes why the job failed. This field is present only when the job status is
FAILED.Type: String
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
You do not have sufficient access to perform this action.
HTTP Status Code: 403
- InternalServerException
-
There was an internal service exception.
HTTP Status Code: 500
- ResourceNotFoundException
-
The specified resource wasn't found.
HTTP Status Code: 404
- ThrottlingException
-
Too many requests.
HTTP Status Code: 429
- ValidationException
-
An error occurred during validation.
- fieldName
-
The field name associated with the error.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: